Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface EncryptionProperty

    public interface EncryptionProperty

Additional information items concerning the generation of the `EncryptedData` or `EncryptedKey` can be placed in an `EncryptionProperty` element (e.g., date/time stamp or the serial number of cryptographic hardware used during encryption). The Target attribute identifies the `EncryptedType` structure being described. anyAttribute permits the inclusion of attributes from the XML namespace to be included (i.e., `xml:space`, `xml:lang`, and `xml:base`).

It is defined as follows:

     <element name='EncryptionProperty' type='xenc:EncryptionPropertyType'/>
     <complexType name='EncryptionPropertyType' mixed='true'>
         <choice maxOccurs='unbounded'>
             <any namespace='##other' processContents='lax'/>
         </choice>
         <attribute name='Target' type='anyURI' use='optional'/>
         <attribute name='Id' type='ID' use='optional'/>
         <anyAttribute namespace="http://www.w3.org/XML/1998/namespace"/>
     </complexType>

Author:
  Axl Mattheus

Method Summary
`void` | `addEncryptionInformation(org.w3c.dom.Element information)` Adds encryption information.
`java.lang.String` | `getAttribute(java.lang.String attribute)` Returns the attribute's value in the `xml` namespace.
`java.util.Iterator<org.w3c.dom.Element>` | `getEncryptionInformation()` Returns the properties of the `EncryptionProperty`.
`java.lang.String` | `getId()` Returns the id of the `EncryptionProperty`.
`java.lang.String` | `getTarget()` Returns the `EncryptedType` being described.
`void` | `removeEncryptionInformation(org.w3c.dom.Element information)` Removes encryption information.
`void` | `setAttribute(java.lang.String attribute, java.lang.String value)` Set the attribute value.
`void` | `setId(java.lang.String id)` Sets the id.
`void` | `setTarget(java.lang.String target)` Sets the target.

Method Detail

### getTarget

    java.lang.String getTarget()

  Returns the `EncryptedType` being described.

  Returns:
    the `EncryptedType` being described by this `EncryptionProperty`.

### setTarget

    void setTarget(java.lang.String target)

  Sets the target.

  Parameters:
    `target` -

### getId

    java.lang.String getId()

  Returns the id of the `EncryptionProperty`.

  Returns:
    the id.

### setId

    void setId(java.lang.String id)

  Sets the id.

  Parameters:
    `id` -

### getAttribute

    java.lang.String getAttribute(java.lang.String attribute)

  Returns the attribute's value in the `xml` namespace.

  Parameters:
    `attribute` -
  Returns:
    the attribute's value.

### setAttribute

    void setAttribute(java.lang.String attribute,
                      java.lang.String value)

  Set the attribute value.

  Parameters:
    `attribute` - the attribute's name.
    `value` - the attribute's value.

### getEncryptionInformation

    java.util.Iterator<org.w3c.dom.Element> getEncryptionInformation()

  Returns the properties of the `EncryptionProperty`.

  Returns:
    an `Iterator` over all the additional encryption information contained in this class.

### addEncryptionInformation

    void addEncryptionInformation(org.w3c.dom.Element information)

  Adds encryption information.

  Parameters:
    `information` - the additional encryption information.

### removeEncryptionInformation

    void removeEncryptionInformation(org.w3c.dom.Element information)

  Removes encryption information.

  Parameters:
    `information` - the information to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD